Bug 1756947 - gerrit creates duplicate accounts for existing users
Summary: gerrit creates duplicate accounts for existing users
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-30 09:23 UTC by Sanju
Modified: 2020-01-06 06:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-06 06:34:06 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Sanju 2019-09-30 09:23:54 UTC
Description of problem:
gerrit has created a new account(1002248) for me when I logged in through github account although I have an existing account. Now, I'm unable to login to my old account to which redhat mail address is linked.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 M. Scherer 2019-10-02 10:32:35 UTC
ok, so I am trying to look at how to do that, but I am not yet having a idea on how to do that, cause I do not understand our gerrit setup (like, I do not understand where the email are stored, for a start...). 
When was last time you used the other account ? Do you have the account ID, by any luck ?

Comment 2 Sanju 2019-10-06 14:00:09 UTC
I used it a few months ago, may be 3 months back. and I don't have account ID.

Comment 3 M. Scherer 2019-11-06 16:21:20 UTC
so, I found that doc from Nigel: https://gluster-infra-docs.readthedocs.io/infra_overview/gerrit.html who suggest to modify the table. I will try to look more for that, cause that's the only clue I do have right now

Comment 4 M. Scherer 2019-11-20 13:31:53 UTC
so, your old account is 1002064 , I used https://github.com/talwrii/curlfire and some clues from https://github.com/davido/gerrit-oauth-provider/issues/107 to get that. Now, I just need to figure how and what I should change for it.

Comment 5 Sanju 2019-11-20 14:23:03 UTC
Thanks for the update Misc! If you can delete the old account, I will link my new account with redhat email id.

Comment 6 M. Scherer 2019-11-20 14:32:18 UTC
well, I kinda wonder what happen to the old review if I delete the account. I am trying to figure the internals of gerrit before doing something bad. They changed everything, so I can't just dig in the DB like everybody did before :/

Comment 7 Sanju 2019-11-20 14:40:13 UTC
Yeah, that's an issue. It would be great if we can figure out a way to login into my old account.

Comment 8 Sanju 2019-12-02 06:29:08 UTC
As I'm unable to login into my redhat gerrit account which has merge rights, can I please get merge rights for my new gerrit ID?
Gerrit ID: 1002248

Please, do let me know, if you need anything else.

Thanks,
Sanju

Comment 9 Deepshikha khandelwal 2019-12-19 09:04:27 UTC
Hi Sanju, I've provided you the merge rights on id srakonde19@gmail.com.

Please check and confirm.

Comment 10 Sanju 2020-01-03 13:07:43 UTC
(In reply to Deepshikha khandelwal from comment #9)
> Hi Sanju, I've provided you the merge rights on id srakonde19@gmail.com.
> 
> Please check and confirm.

Thanks, I have them now.

Comment 11 Deepshikha khandelwal 2020-01-06 06:34:06 UTC
Closing this for now.


Note You need to log in before you can comment on or make changes to this bug.